body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.nav {
    display: block;
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE and older Edge */
}

.nav::-webkit-scrollbar {
    display: none;
    width: 0;
    height: 0;
}

.nav::-webkit-scrollbar-track,
.nav::-webkit-scrollbar-thumb {
    display: none;
    background: transparent;
}

.nav {
    display: flex;
    gap: 15px;
    padding: 10px;
    margin: 15px 6vw 0;
    background: transparent;
}

.nav-item {
    display: flex;
    align-items: center;
    gap: 8px;
    padding: 10px 20px;
    cursor: pointer;
    text-decoration: none;
    color: #333;
    background: #EBF3E1;
    border-radius: 25px;
    font-size: 16px;
}

.nav-item.active {
    background: #D1E6B6;
    color: #333;
}

.nav-item:hover {
    background: #D1E6B6;
}

.icon {
    font-size: 18px;
    line-height: 1;
}

.tab-content {
    display: none;
    background-color: #fff;
    border-radius: 10px;
    margin: 0 8vw 20px;
    padding: 0 15px;
}

.tab-content.active {
    display: block;
}

.tab-content h2 {
    color: #1F9500;
    font-size: 40px;
    font-weight: 400;
    align-content: center;
}

.tab-content h3 {
    color: black;
    font-size: 20px;
    font-weight: 700;
    align-content: center;
}

.tab-content ul {
    list-style-type: disc;
}

.banner {
    text-align: center;
    background-color: #fff;
    margin: 15px 0;
    position: relative;
}

.banner img {
    width: 100%;
    height: 440px;
    border-radius: 20px;
}

.banner-text {
    display: inline-block;
    color: #1F9500;
    background-color: #A0ED8C;
    height: 157px;
    width: 440px;
    padding: 10px;
    border-radius: 45px 0;
    position: absolute;
    top: 30%;
    left: 8%;
}

.section-flex {
    display: flex;
    align-items: center;
    gap: 45px;
    margin: 0 2vw 0;
}

.left-section {
    flex: 1;
    position: relative;
}

.main-img {
    width: 500px;
    height: 400px;
    padding: 25px;
    border-radius: 45px;
}

.sub-img {
    width: 200px;
    height: 200px;
    border: 10px white solid;
    border-radius: 45px 0;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    position: absolute;
    bottom: -10%;
    left: 325px;
}

.right-section {
    flex: 1;
}

.right-section h2 {
    color: #1F9500;
    font-size: 35px;
    font-weight: 700;
}

.right-section p {
    text-align: justify;
}

.section-trends {
    margin-top: 60px;
    text-align: center;
}

.trends {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 15px;
    margin-top: 25px;
}

.trend-item {
    text-align: center;
    flex: 1 1 18%;
    padding: 5px;
    min-width: 185px;
    font-weight: 700;
}

.trend-item img {
    padding: 0 0 15px;
}

.trend-item h2 {
    color: black;
    font-size: 16px;
    font-weight: bold;
    height: 45px;
}

.trend-item p {
    text-align: justify;
    font-weight: 400;
}

.footer {
    text-align: center;
    margin-top: 20px;
    font-size: 12px;
    color: #777;
    padding: 10px;
}

/* Login Section Styles */
.login-section {
    background: #EBF3E1;
    padding: 20px 0;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    text-align: center;
    margin: 0 auto;
}

.login-container {
    display: flex;
    flex-direction: row;
    gap: 10px;
}

.login-field {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.login-group {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1.5rem;
    flex: 1;
    padding: 8px 0;
}

.login-label {
    font-weight: bold;
    color: #555;
    font-size: 16px;
}

.login-input {
    background: #fff;
    padding: 8px 12px;
    border-radius: 50px;
    border: 0;
    color: #aaa;
    width: 100%;
    min-width: 250px;
    font-size: 16px;
}

.login-input:focus {
    outline: none;
    border: 1px solid #1F9500;
}

.login-button {
    background: #1F9500;
    color: white;
    padding: 8px 18px;
    border-radius: 15px;
    cursor: pointer;
    border: 0;
    font-size: 16px;
    min-width: 120px;
}

.login-button:hover {
    background: #1F9500;
}

.password-container {
    position: relative;
    width: 100%;
}

.toggle-password {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: #666;
}

.toggle-password:hover {
    color: #000;
}

.error-message {
    color: red;
    font-weight: bold;
    text-align: left;
    font-size: 14px;
}

.error-message div {
    padding-left: 6.5rem;
}

.error-active input {
    border: 1px solid red;
}

.straight-line {
    padding: 0 6.5rem;
}

/* Small Laptop (1240px and below) */
@media (max-width: 1240px) {
    .straight-line {
        padding: 0 5.5rem;
    }

    .login-input {
        width: 100%;
        min-width: 200px;
        font-size: 16px;
    }

    .tab-content h2 {
        font-size: 24px;
        align-content: center;
    }

    .banner-text {
        height: 100px;
        width: 300px;
        border-radius: 45px 0;
        top: 30%;
        left: 7%;
    }

    .section-flex {
        gap: 50px;
    }
}

/* Tablets (768px and below) */
@media (max-width: 768px) {
    .nav {
        padding: 10px 10px 0;
        margin: 0 3vw 0;
    }

    .nav a {
        display: inline-block;
        align-items: center;
        font-size: 14px;
        padding: 6px 10px;
    }

    .tab-content {
        margin: 0 3vw 15px;
        padding: 10px;
    }

    .tab-content h2 {
        font-size: 20px;
    }

    .section-flex {
        flex-direction: column;
        align-items: flex-start;
    }

    .right-section {
        padding-left: 0;
        margin-top: 15px;
    }

    .trends {
        flex-direction: column;
        align-items: center;
    }

    .trend-item {
        width: 100%;
        max-width: 300px;
    }

    .login-section {
        padding: 15px;
        max-width: 100%;
    }

    .login-container {
        flex-direction: column;
    }

    .login-field {
        width: 100%;
        max-width: 500px;
    }

    .login-button {
        width: 100%;
        max-width: 500px;
    }

    .straight-line {
        padding: 0 5.5rem;
    }

    .tab-content {
        margin: 0;
        padding: 0;
        border-radius: 0;
    }

    .tab-content h2 {
        font-size: 22px;
        font-weight: 400;
        align-content: center;
    }

    .banner-text {
        height: 85px;
        width: 240px;
        border-radius: 30px 0;
        top: 27%;
        left: 12%;
    }

    .banner {
        text-align: center;
        background-color: #fff;
        margin: 15px 0;
    }

    .banner img {
        width: 100%;
        height: 380px;
        border-radius: 0;
        object-fit: cover;
    }

    .section-flex {
        display: flex;
        align-items: center;
        gap: 45px;
        margin: 0 2vw 0;
    }

    .left-section {
        flex: 1;
        position: relative;
    }

    .main-img {
        width: 500px;
        height: 400px;
        padding: 25px;
        border-radius: 45px;
    }

    .sub-img {
        width: 200px;
        height: 200px;
        border-radius: 45px 0;
        bottom: -10%;
        right: -3%;
    }
}

/* Mobile (576px and below) */
@media (max-width: 576px) {
    .nav {
        display: block;
        padding: 20px 20px 0;
        margin: 0;
    }

    .nav a {
        display: inline-block;
        align-items: center;
        font-size: 14px;
        padding: 6px 10px;
    }

    .tab-content {
        margin: 0;
        padding: 0;
        border-radius: 0;
    }

    .tab-content h2 {
        font-size: 30px;
        font-weight: 700;
        align-content: center;
        text-align: center;
    }

    .tab-content h3 {
        font-size: 16px;
    }

    .tab-content p {
        font-size: 14px;
    }

    .banner img {
        height: 350px;
        object-fit: cover;
        object-position: 60% 30%;
    }

    .banner-left img {
        object-position: 0 30%;
    }

    #nutrition .banner, #insights .banner {
        padding: 0 15px;
    }

    #nutrition .banner img, #insights .banner img {
        border-radius: 20px;
        border: 1px solid #DDDDDD;
    }

    .banner-text {
        height: 80px;
        width: calc(100vw - 90px);
        font-weight: 400 !important;
        border-radius: 20px 0;
        top: 90%;
        left: calc(5% + 25px);
    }

    .left-section {
        flex: 1;
        position: relative;
        padding: 50px 0 0;
    }

    .right-section {
        padding: 0;
        margin: 16px;
    }

    .main-img {
        width: calc(100vw - 100px);
        height: 285px;
        padding: 0;
        border-radius: 30px;
        position: relative;
        left: calc(5% - 20px);
    }

    .sub-img {
        width: calc(45vw - 40px);
        height: 150px;
        padding: 0;
        border-radius: 45px 0;
        border: 5px white solid;
        position: absolute;
        bottom: -10%;
        left: calc(50% + 40px);
    }

    .section-trends {
        margin-top: 25px;
        text-align: center;
    }

    .trends {
        gap: 10px;
    }

    .trend-item {
        padding: 10px;
        width: 100%;
        max-width: 375px;
    }

    .section-small {
        padding: 0 15px;
    }

    .section-small h2 {
        text-align: left !important;
    }

    .section-footer {
        font-size: 14px;
        max-width: 380px;
        padding: 0 20px;
        margin: 0 20px;
    }

    .footer {
        font-size: 10px;
    }

    .login-section {
        padding: 16px;
        margin: 15px;
        border-radius: 15px;
    }

    .login-container {
        flex-direction: column;
    }

    .login-label {
        font-size: 14px;
    }

    .login-input {
        width: 100%;
        min-width: 170px;
        padding: 10px;
        font-size: 14px;
    }

    .login-button {
        padding: 6px 15px;
        font-size: 14px;
        margin: 10px 0;
    }

    .toggle-password {
        right: 8px;
    }

    .error-message {
        font-size: 15px;
    }

    .error-message div {
        padding-left: 6rem;
    }

    .straight-line {
        padding: 0 0.5rem;
    }

}
